\name{RatioRMS}
\alias{RatioRMS}
\title{
Computes the Ratio Between The RMSE of Two Experiments
}
\description{
Calculates the ratio of the RMSE for two forecasts of the same observations.\cr
The ratio RMSE(ens, obs) / RMSE(ens.ref, obs) is output.\cr
The p-value is provided by a two-sided Fischer test.
}
\usage{
RatioRMS(ens, ens.ref, obs, pval = TRUE)
}
\arguments{
  \item{ens}{
Matrix of experimental data 1.
  }
  \item{ens.ref}{
Matrix of experimental data 2.
  }
  \item{ens.ref}{
Vector of observations.
  }
  \item{pval}{
Whether to compute the p-value of Ho : RMSE1/RMSE2 = 1 or not. TRUE by default.
  }
}
\value{
A list containing the following components :\cr
ratiorms - the ratio of the rms of the two ensembles \cr
p.val - the p value \cr
The dimension corresponds to the ratio between the RMSE (RMSE1/RMSE2) and the p.value of the two-sided Fisher test with Ho: RMSE1/RMSE2 = 1.
}
\examples{
 ens <- matrix(rnorm(500), c(100, 5))
 ens.ref <- matrix(rnorm(500), c(100, 5))
 obs <- rnorm(100)
 Ratio <- RatioRMS(ens, ens.ref, obs)
}
\author{
History:\cr
0.1  -  2011-11  (V. Guemas, \email{vguemas at ic3.cat})  -  Original code\cr
1.0  -  2013-09  (N. Manubens, \email{nicolau.manubens at ic3.cat})  -  Formatting to R CRAN\cr
2.0  -  2016-08  (A. Hunter, \email{alasdair.hunter at bsc.es})  -  Adapted to veriApply()
}
\keyword{datagen}
